import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class PengukuranService {

  private apiUrl = `${environment.apiUrl}/pengukuran`;

  constructor(private http: HttpClient) { }

  simpanPengukuran(data: any): Observable<any> {
    return this.http.post(this.apiUrl, data);
  }
}